#!/usr/bin/env python
"""
/***************************************************************************
                          main.py  -  application starter
                             -------------------                                         
    begin                : $DATE$
                                           
    copyright            : (C) 1999 by Boudewijn Rempt                         
    email                : boud@rempt.xs4all.nl                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/
"""

import sys

sys.setappdefaultencoding("utf-8")

from qt import *
from kura import KuraWindow
from kuralib.config import Config
from kuragui.guiconfig import guiConfig
def main():
  app=QApplication(sys.argv)
  guiConfig.font=Config.font
  mainwin=KuraWindow()
  mainwin.resize(Config.app_w, Config.app_h)
  mainwin.move(Config.app_x, Config.app_y)
  mainwin.show()
  mainwin.connect(app, SIGNAL('lastWindowClosed()'), app, SLOT('quit()'))
  return app.exec_loop()

 
if __name__=="__main__":
  if len(sys.argv)>1:
    if sys.argv[1]=='-p':
      import profile
      profile.run('main()')
  else:
    main()

