#!/usr/bin/env python

#
# Multi-row edit control
#
from guiconfig import guiConfig
from qt import *

class guiMultiLineEdit(QMultiLineEdit):

  def __init__(self, *args):
    apply(QMultiLineEdit.__init__,(self,)+args)
    self.setFont(guiConfig.font)
    self.setWordWrap(QMultiLineEdit.WidgetWidth)
        
  def text(self):
    return unicode(QMultiLineEdit.text(self))

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.4 $
    Last edited          : $Date: 2001/01/15 20:21:15 $
    
    CVS Log:         
    $Log: guimultilineedit.py,v $
    Revision 1.4  2001/01/15 20:21:15  boud
    Added import/export filters, bugfixes.

    Revision 1.3  2001/01/08 20:55:07  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
