from dbobj.dbobj import dbRecord

class lng_reference(dbRecord):

  def __init__(self, app, **args):
    if args.has_key("fields"):
      dbRecord.__init__(self, app, "lng_reference", args["fields"])
    else:
      dbRecord.__init__(self, app, "lng_reference", args)

from dbobj.dbobj import dbTable
   
class lng_references(dbTable):
  """
    Collection class for all reference data.
  """
  def __init__(self, app):
    dbTable.__init__(self, app, "lng_reference", lng_reference)

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.3 $
    Last edited          : $Date: 2001/01/08 20:55:07 $
    
    CVS Log:         
    $Log: lng_refs.py,v $
    Revision 1.3  2001/01/08 20:55:07  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
