import string
p2u={}
for line in open("Uni2Pinyin").readlines():
  line=line[:-1]
  if line[0]=="#":
    continue
  els=line.split("\t")
  u=unichr(string.atoi(els[0], 16))
  #"U+" + els[0].decode("unicode-escape")
  for p in els[1:]:
    # first with tone
    
    if p2u.has_key(p):
      try:
        temp=p2u[p].index(u)
      except:
        p2u[p].append(u)
    else:
      p2u[p]=[u]
    # then without tone
    if p2u.has_key(p[:-1]):
      try:
        temp=p2u[p[:-1]].index(u)
      except:
        p2u[p[:-1]].append(u)
    else:
      p2u[p[:-1]]=[u]
  

for p, cc in p2u.items():
  print ',"' + p + '" :', cc

__copyright__="""
/***************************************************************************
    copyright            : (C) 2000 by Boudewijn Rempt 
                           see copyright notice for license
    email                : boud@rempt.xs4all.nl
    Revision             : $Revision: 1.2 $
    Last edited          : $Date: 2001/01/08 20:54:58 $
    
    CVS Log:         
    $Log: u2p.py,v $
    Revision 1.2  2001/01/08 20:54:58  boud
    Cleanup for version 1.0

 ***************************************************************************/
"""
