import sys, string
from qt import *
from kuralib.config import Config
from kuradbreader  import KuraDBReader
from kuratagwriter import KuraTagWriter

def main(args):
  dbr=KuraDBReader()
  # load the text(s)
  for arg in args:
    dbr.start(arg)

  # make the set of items suitable for export
  Config.InterLinearTextPresentation="text.textnr text.title text.description stream.stream text_tag.NOTE"
  Config.InterlinearStreamPresentation="stream.streamnr element.element stream_tag.TR stream_tag.NOTE"
  Config.InterLinearElementPresentation="element.elementnr element.text element_element.element element_tag.GL element_tag.FUNC element_tag.GL"
  tagsaver=KuraTagWriter(dbr.getDom())
  tagsaver.start(15)
  
if __name__=="__main__":
  main(sys.argv[1:])
